package eu.jonahbauer.wizard.client.libgdx.listeners;

import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.ui.SelectBox;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextField;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public class ResetErrorListener extends ChangeListener {
    private final Skin skin;

    @Override
    public void changed(ChangeEvent event, Actor actor) {
        if (event.getTarget() instanceof TextField textField) {
            textField.setStyle(skin.get(TextField.TextFieldStyle.class));
        } else if (event.getTarget() instanceof SelectBox<?> box) {
            box.setStyle(skin.get(SelectBox.SelectBoxStyle.class));
        }
    }
}
